Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 594002 - Review Request: plexus-build-api - Plexus Build API
Review Request: plexus-build-api - Plexus Build API
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Yong Yang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-20 06:17 EDT by huwang
Modified: 2010-06-01 12:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-01 12:21:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
yyang: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 huwang 2010-05-20 06:19:50 EDT
Note about this package:
 It build with dist-f14-maven221 target in koji, the link is http://code.google.com/p/tobepackagemaintaner/downloads/detail?name=plexus-build-api-0.0.6-1.src.rpm&can=2&q=#makechanges
Comment 2 huwang 2010-05-20 06:21:30 EDT
Please ignore comment 1.

Note about this package:
 It build with dist-f14-maven221 target in koji, the link is
http://koji.fedoraproject.org/koji/taskinfo?taskID=2198862
Comment 3 Yong Yang 2010-05-20 06:27:35 EDT
[yyang@localhost Desktop]$ rpmlint plexus-build-api-0.0.6-1.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[yyang@localhost Desktop]$ rpmlint plexus-build-api-0.0.6-1.fc14.noarch.rpm 
plexus-build-api.noarch: W: no-documentation
plexus-build-api.noarch: W: non-conffile-in-etc /etc/maven/fragments/plexus-build-api
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[yyang@localhost Desktop]$ rpm -qpil plexus-build-api-0.0.6-1.fc14.src.rpm 
Name        : plexus-build-api             Relocations: (not relocatable)
Version     : 0.0.6                             Vendor: Fedora Project
Release     : 1.fc14                        Build Date: Thu 20 May 2010 06:07:40 PM CST
Install Date: (not installed)               Build Host: x86-03.phx2.fedoraproject.org
Group       : Development/Libraries         Source RPM: (none)
Size        : 8623                             License: ASL 2.0
Signature   : (none)
Packager    : Fedora Project
URL         : http://svn.sonatype.org/spice/tags/plexus-build-api-0.0.6
Summary     : Plexus Build API
Description :
Plexus Build API
plexus-build-api-0.0.6.tar.gz
plexus-build-api.spec

[yyang@localhost Desktop]$ rpm -qpil plexus-build-api-0.0.6-1.fc14.noarch.rpm 
Name        : plexus-build-api             Relocations: (not relocatable)
Version     : 0.0.6                             Vendor: Fedora Project
Release     : 1.fc14                        Build Date: Thu 20 May 2010 06:09:53 PM CST
Install Date: (not installed)               Build Host: x86-03.phx2.fedoraproject.org
Group       : Development/Libraries         Source RPM: plexus-build-api-0.0.6-1.fc14.src.rpm
Size        : 11595                            License: ASL 2.0
Signature   : (none)
Packager    : Fedora Project
URL         : http://svn.sonatype.org/spice/tags/plexus-build-api-0.0.6
Summary     : Plexus Build API
Description :
Plexus Build API
/etc/maven/fragments/plexus-build-api
/usr/share/java/plexus-build-api-0.0.6.jar
/usr/share/java/plexus-build-api.jar
/usr/share/maven2/poms/JPP-plexus-build-api.pom
Comment 4 Yong Yang 2010-05-20 06:29:21 EDT
APPROVED
Comment 5 Yong Yang 2010-05-20 06:32:25 EDT
Please put the jars to /usr/share/java/plexus directory.
Comment 6 Yong Yang 2010-05-20 07:01:02 EDT
[yyang@localhost Desktop]$ rpm -qpil plexus-build-api-0.0.6-1.fc14.noarch.rpm 
Name        : plexus-build-api             Relocations: (not relocatable)
Version     : 0.0.6                             Vendor: Fedora Project
Release     : 1.fc14                        Build Date: Thu 20 May 2010 06:50:19 PM CST
Install Date: (not installed)               Build Host: x86-03.phx2.fedoraproject.org
Group       : Development/Libraries         Source RPM: plexus-build-api-0.0.6-1.fc14.src.rpm
Size        : 11602                            License: ASL 2.0
Signature   : (none)
Packager    : Fedora Project
URL         : http://svn.sonatype.org/spice/tags/plexus-build-api-0.0.6
Summary     : Plexus Build API
Description :
Plexus Build API
/etc/maven/fragments/plexus-build-api
/usr/share/java/plexus/plexus-build-api-0.0.6.jar
/usr/share/java/plexus/plexus-build-api.jar
/usr/share/maven2/poms/JPP-plexus-build-api.pom
Comment 7 huwang 2010-05-20 07:06:42 EDT
New Package CVS Request
=======================
Package Name: plexus-build-api
Short Description: Plexus Build API
Owners: huwang
Branches: 
InitialCC:
Comment 8 Alexander Kurtakov 2010-05-20 15:56:57 EDT
Yang Yong, Just running rpmlint is not enough for completing a review. You have to check that the package confirms to the guidelines.
Yes, I know it's template based but you still have to check that the packager hasn't done something wrong.
Comment 9 Kevin Fenzi 2010-05-20 16:04:50 EDT
CVS done (by process-cvs-requests.py).
Comment 10 Alexander Kurtakov 2010-06-01 12:21:40 EDT
http://koji.fedoraproject.org/koji/buildinfo?buildID=175125

Note You need to log in before you can comment on or make changes to this bug.